import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

import { VictoryBar, VictoryChart } from 'Victory';

const row = d => {
  d.value = +d.value;
  return d;
};

const App = () => {
  const [pivot_gender, setData] = useState([]);
  
  useEffect(() => {
    csv('pivot_gender.csv', row).then(setData);
  }, []);
  
  return (
    <VictoryChart
      style={{tickLabels: {fontSize: 120}}}
      width='960'
      height='500'
      domainPadding={50}
      padding={{ top: 10, bottom: 40, left: 80, right: 10 }}
    >
      <VictoryBar data={pivot_gender} x="gender" y="value" />
    </VictoryChart>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);